Subject: Re: bug#26006: New web site is on line!

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 8 Dec 2017 20:07:17 +0100

On Fri, Dec 08, 2017 at 01:42:27PM -0500, Quiliro Ordonez Baca wrote:
> "pelzflorian (Florian Pelz)" <[email-masked]> writes:
> >
> > I believe there is a typo on the home page below the video. „leave“
> > should be „live“:
> >
> > diff --git a/website/apps/base/templates/home.scm b/website/apps/base/templates/home.scm
> > index bf727dd..f7c2d1c 100644
> > --- a/website/apps/base/templates/home.scm
> > +++ b/website/apps/base/templates/home.scm
> > @@ -196,7 +196,7 @@
> >  
> >         (p
> >         "GNU Guix won't interfere with the package manager that comes
> > -        with your distribution. They can leave together."))
> > +        with your distribution. They can live together."))
> >  
> >        (div
> >         (@ (class "action-box centered-text"))
> 
> Did you write this patch by hand or did you use some kind of help? If
> you got help from something such as Emacs, I would like to learn how you
> did it so I can contribute with patches to easy stuff such as typos,
> website and documentation.
> 

That would be great.

The above is part of the output from the „git diff“ shell command
after I changed the /website/apps/base/templates/home.scm file in the
guix-artwork.git from Savannah.

For a real patch you could use „git format-patch“ to create an e-mail
file which you can open in your e-mail program and then send.  There
are tutorials on-line.  Use „git am“ to apply such a patch from
someone else after you saved their e-mail to a file.  (There also are
other methods like „git send-email“, „git am“ and so on.)

Emacs also has Git integration, but I am not familiar with it.

Regards,
Florian